daniel - 2014-06-19

Hi guys, i'm installing postfix admin but I have the following problem:

PHP version 5.4.29

Checking for dependencies:
* Magic Quotes: Disabled - OK
* Depends on: presence config.inc.php - OK
* Checking $CONF['configured'] - OK
* Smarty template compile directory is writable - OK
* ERROR: THERE IS NO DATABASE SUPPORT IN YOR PHP SETUP
to install MYSQL 3.23 or 4.0 Support on FreeBSD

% cd /usr/ports/databases/php5-mysql/
% make clean install
- or with portupgrade -
% portinstall php5-mysql

  To install MYSQL 4.1 support on FreeBSD:

% cd /usr/ports/databases/php5-mysqli/
% make clean install
- or with portupgrade -
% portinstall php5-mysqli

   To install PostgreSQL Support on FreeBSD:

% cd /usr/ports/databases/php5-pgsql/
% make clean install
- or with portupgrade -
% portinstall php5-pgsql

  * ERROR: CAN'T CONNECT TO DATABASE
    Please edit the $CONF['database_*'] parameters in config.inc.php.

    DEBUG INFORMATION:
    MYSQL 3.x / 4.0 functions not available! (php5-mysql installed?)
    database_type = 'mysql' in config.inc.php, are you using a different database?
  • PHP Version = 5.4.29
  • MYSQL Version = mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline 5.1

This is my ERROR, please help me....

...THANKS...

 
Last edit: daniel 2014-06-19